From 3a1bd1d496bd37a7aca27f425aadff2eeefeea8d Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Tue, 27 Jun 2017 21:31:16 +0200
Subject: [PATCH] Remove deprecated and superfluous <script> attributes

The language attribute has been deprecated for quite some time with
the type attribute setting the type of embedded content.  The type
attribute has further been defined to text/javascript as the default
value in the spec, so no attribute should be used for Javascript.
Per the standard: https://www.w3.org/TR/html5/scripting-1.html
---
 pgcommitfest/commitfest/templates/base.html       | 2 +-
 pgcommitfest/commitfest/templates/commitfest.html | 2 +-
 pgcommitfest/commitfest/templates/patch.html      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/pgcommitfest/commitfest/templates/base.html b/pgcommitfest/commitfest/templates/base.html
index 6c8756c..fb86783 100644
--- a/pgcommitfest/commitfest/templates/base.html
+++ b/pgcommitfest/commitfest/templates/base.html
@@ -43,7 +43,7 @@
 <script src="/static/commitfest/js/jquery.js"></script>
 <script src="/static/commitfest/js/jquery-ui.js"></script>
 <script src="/static/commitfest/js/bootstrap.js"></script>
-<script type="text/javascript" src="/static/selectable/js/jquery.dj.selectable.js"></script>
+<script src="/static/selectable/js/jquery.dj.selectable.js"></script>
 <script src="/static/commitfest/js/commitfest.js"></script>
 {%block morescript%}{%endblock%}
 </html>
diff --git a/pgcommitfest/commitfest/templates/commitfest.html b/pgcommitfest/commitfest/templates/commitfest.html
index 6f59b56..266a82a 100644
--- a/pgcommitfest/commitfest/templates/commitfest.html
+++ b/pgcommitfest/commitfest/templates/commitfest.html
@@ -122,7 +122,7 @@
 {%endblock%}
 
 {%block morescript%}
-<script language="javascript">
+<script>
 {%if user.is_staff%}
    function send_selected() {
       var authors = [];
diff --git a/pgcommitfest/commitfest/templates/patch.html b/pgcommitfest/commitfest/templates/patch.html
index a6add97..a54d08a 100644
--- a/pgcommitfest/commitfest/templates/patch.html
+++ b/pgcommitfest/commitfest/templates/patch.html
@@ -202,7 +202,7 @@
 {%endblock%}
 
 {%block morescript%}
-<script language="javascript">
+<script>
 $(document).ready(function() {
    $('button.close-nofloat').each(function(i,o) {
       $(o).tooltip();
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

